atom feed1 message in com.googlegroups.memcachedIssue 416 in memcached: 1.4.24 fails ...
FromSent OnAttachments
memc...@googlecode.comJun 27, 2015 11:06 am 
Subject:Issue 416 in memcached: 1.4.24 fails to build with -Werror
From:memc...@googlecode.com (memc@googlecode.com)
Date:Jun 27, 2015 11:06:18 am
List:com.googlegroups.memcached

Status: New Owner: ---- Labels: Type-Defect Priority-Medium

New issue 416 by stev@gmail.com: 1.4.24 fails to build with -Werror https://code.google.com/p/memcached/issues/detail?id=416

What steps will reproduce the problem? 1. Try to compile

What is the expected output? What do you see instead?

Expected compile to succeed.

What version of the product are you using? On what operating system? 1.4.24

Please provide any additional information below.

items.c:1141:28: error: comparison of constant 256 with expression of type 'uint8_t' (aka 'unsigned char') is always true [-Werror,-Wtautological-constant-out-of-range-compare] assert(it->slabs_clsid < LARGEST_ID); ~~~~~~~~~~~~~~~ ^ ~~~~~~~~~~ /usr/include/assert.h:54:21: note: expanded from macro 'assert' #define assert(e) ((e) ? (void)0 : __assert(__func__, __FILE__, \ ^ 1 error generated.

Full log available of course.